<?xml version="1.0" encoding="utf-8"?>
<xs:schema id="ActionsDataSet" targetNamespace="http://tempuri.org/ActionsDataSet.xsd" xmlns:mstns="http://tempuri.org/ActionsDataSet.xsd" xmlns="http://tempuri.org/ActionsDataSet.xsd" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:msdata="urn:schemas-microsoft-com:xml-msdata" xmlns:msprop="urn:schemas-microsoft-com:xml-msprop" attributeFormDefault="qualified" elementFormDefault="qualified">
  <xs:annotation>
    <xs:appinfo source="urn:schemas-microsoft-com:xml-msdatasource">
      <DataSource DefaultConnectionIndex="0" FunctionsComponentName="QueriesTableAdapter" Modifier="NotPublic" SchemaSerializationMode="IncludeSchema" xmlns="urn:schemas-microsoft-com:xml-msdatasource">
        <Connections>
          <Connection AppSettingsObjectName="Settings" AppSettingsPropertyName="pxp_crawler_ConnectionString" ConnectionStringObject="" IsAppSettingsProperty="true" Modifier="Assembly" Name="pxp_crawler_ConnectionString (Settings)" ParameterPrefix="@" PropertyReference="ApplicationSettings.PXP.Crawler.API.Properties.Settings.GlobalReference.Default.pxp_crawler_ConnectionString" Provider="System.Data.SqlClient" />
        </Connections>
        <Tables>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="NotPublic" DataAccessorName="ActionsTableAdapter" GeneratorDataComponentClassName="ActionsTableAdapter" Name="Actions" UserDataComponentName="ActionsTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="pxp_crawler_ConnectionString (Settings)" DbObjectName="pxp_crawler.dbo.Actions" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>DELETE FROM Actions
WHERE        (ID = @Original_ID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="Original_ID" ColumnName="ID" DataSourceName="pxp_crawler.dbo.Actions" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@Original_ID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [Actions] ([Name], [State], [Ind], [Type]) VALUES (@Name, @State, @Ind, @Type);
SELECT ID, Name, State, Ind, Type FROM Actions WHERE (ID = SCOPE_IDENTITY()) ORDER BY Ind, Name</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Name" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Name" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@State" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="State" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Ind" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Ind" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@Type" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="Type" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT        ID, Name, State, Ind, Type
FROM            Actions
ORDER BY Ind, Name</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>UPDATE       Actions
SET                Name = @Name, State = @State, Ind = @Ind, Type = @Type
WHERE        (ID = @Original_ID);  
SELECT ID, Name, State, Ind, Type FROM Actions WHERE (ID = @ID) ORDER BY Ind, Name</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="Name" ColumnName="Name" DataSourceName="pxp_crawler.dbo.Actions" DataTypeServer="nvarchar(50)" DbType="String" Direction="Input" ParameterName="@Name" Precision="0" ProviderType="NVarChar" Scale="0" Size="50" SourceColumn="Name" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="State" ColumnName="State" DataSourceName="pxp_crawler.dbo.Actions" DataTypeServer="nvarchar(50)" DbType="String" Direction="Input" ParameterName="@State" Precision="0" ProviderType="NVarChar" Scale="0" Size="50" SourceColumn="State" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="Ind" ColumnName="Ind" DataSourceName="pxp_crawler.dbo.Actions" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@Ind" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="Ind" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="Type" ColumnName="Type" DataSourceName="pxp_crawler.dbo.Actions" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@Type" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="Type" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Original_ID" ColumnName="ID" DataSourceName="pxp_crawler.dbo.Actions" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@Original_ID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="ID" ColumnName="ID" DataSourceName="pxp_crawler.dbo.Actions" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@ID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="ID" DataSetColumn="ID" />
              <Mapping SourceColumn="Name" DataSetColumn="Name" />
              <Mapping SourceColumn="State" DataSetColumn="State" />
              <Mapping SourceColumn="Ind" DataSetColumn="Ind" />
              <Mapping SourceColumn="Type" DataSetColumn="Type" />
            </Mappings>
            <Sources />
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="NotPublic" DataAccessorName="ActionMetaTableAdapter" GeneratorDataComponentClassName="ActionMetaTableAdapter" Name="ActionMeta" UserDataComponentName="ActionMetaTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="pxp_crawler_ConnectionString (Settings)" DbObjectName="pxp_crawler.dbo.ActionMeta" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>DELETE FROM ActionMeta
WHERE        (ID = @Original_ID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="Original_ID" ColumnName="ID" DataSourceName="pxp_crawler.dbo.ActionMeta" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@Original_ID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [ActionMeta] ([Name], [ActionType]) VALUES (@Name, @ActionType);
SELECT ID, Name, ActionType FROM ActionMeta WHERE (ID = SCOPE_IDENTITY()) ORDER BY Name</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="String" Direction="Input" ParameterName="@Name" Precision="0" ProviderType="NVarChar" Scale="0" Size="0" SourceColumn="Name" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@ActionType" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ActionType" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT        ID, Name, ActionType
FROM            ActionMeta
ORDER BY Name</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>UPDATE       ActionMeta
SET                Name = @Name, ActionType = @ActionType
WHERE        (ID = @Original_ID); 
SELECT ID, Name, ActionType FROM ActionMeta WHERE (ID = @ID) ORDER BY Name</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="Name" ColumnName="Name" DataSourceName="pxp_crawler.dbo.ActionMeta" DataTypeServer="nvarchar(50)" DbType="String" Direction="Input" ParameterName="@Name" Precision="0" ProviderType="NVarChar" Scale="0" Size="50" SourceColumn="Name" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="ActionType" ColumnName="ActionType" DataSourceName="pxp_crawler.dbo.ActionMeta" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@ActionType" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="ActionType" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Original_ID" ColumnName="ID" DataSourceName="pxp_crawler.dbo.ActionMeta" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@Original_ID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="ID" ColumnName="ID" DataSourceName="pxp_crawler.dbo.ActionMeta" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@ID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="ID" DataSetColumn="ID" />
              <Mapping SourceColumn="Name" DataSetColumn="Name" />
              <Mapping SourceColumn="ActionType" DataSetColumn="ActionType" />
            </Mappings>
            <Sources>
              <DbSource ConnectionRef="pxp_crawler_ConnectionString (Settings)" DbObjectName="pxp_crawler.dbo.ActionMeta" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="FillByActionType" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetDataByActionType" GeneratorSourceName="FillByActionType" GetMethodModifier="Public" GetMethodName="GetDataByActionType" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetDataByActionType" UserSourceName="FillByActionType">
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT        ID, Name, ActionType
FROM            ActionMeta
WHERE        (ActionType = @ActionType)
ORDER BY Name</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="ActionType" ColumnName="ActionType" DataSourceName="pxp_crawler.dbo.ActionMeta" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@ActionType" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="ActionType" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </SelectCommand>
              </DbSource>
            </Sources>
          </TableAdapter>
          <TableAdapter BaseClass="System.ComponentModel.Component" DataAccessorModifier="NotPublic" DataAccessorName="ActionMetaDataTableAdapter" GeneratorDataComponentClassName="ActionMetaDataTableAdapter" Name="ActionMetaData" UserDataComponentName="ActionMetaDataTableAdapter">
            <MainSource>
              <DbSource ConnectionRef="pxp_crawler_ConnectionString (Settings)" DbObjectName="pxp_crawler.dbo.ActionMetaData" DbObjectType="Table" FillMethodModifier="Public" FillMethodName="Fill" GenerateMethods="Both" GenerateShortCommands="true" GeneratorGetMethodName="GetData" GeneratorSourceName="Fill" GetMethodModifier="Public" GetMethodName="GetData" QueryType="Rowset" ScalarCallRetval="System.Object, mscorlib, Version=4.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" UseOptimisticConcurrency="true" UserGetMethodName="GetData" UserSourceName="Fill">
                <DeleteCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>DELETE FROM ActionMetaData
WHERE        (ID = @Original_ID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="false" AutogeneratedName="Original_ID" ColumnName="ID" DataSourceName="pxp_crawler.dbo.ActionMetaData" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@Original_ID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </DeleteCommand>
                <InsertCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="false">
                    <CommandText>INSERT INTO [ActionMetaData] ([ActionMetaID], [ActionID], [Value]) VALUES (@ActionMetaID, @ActionID, @Value);
SELECT ID, ActionMetaID, ActionID, Value FROM ActionMetaData WHERE (ID = SCOPE_IDENTITY())</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@ActionMetaID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ActionMetaID" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="Int32" Direction="Input" ParameterName="@ActionID" Precision="0" ProviderType="Int" Scale="0" Size="0" SourceColumn="ActionID" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="" DataSourceName="" DbType="AnsiString" Direction="Input" ParameterName="@Value" Precision="0" ProviderType="Text" Scale="0" Size="0" SourceColumn="Value" SourceColumnNullMapping="false" SourceVersion="Current" />
                    </Parameters>
                  </DbCommand>
                </InsertCommand>
                <SelectCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>SELECT        ID, ActionMetaID, ActionID, Value
FROM            ActionMetaData</CommandText>
                    <Parameters />
                  </DbCommand>
                </SelectCommand>
                <UpdateCommand>
                  <DbCommand CommandType="Text" ModifiedByUser="true">
                    <CommandText>UPDATE       ActionMetaData
SET                ActionMetaID = @ActionMetaID, ActionID = @ActionID, Value = @Value
WHERE        (ID = @Original_ID); 
SELECT ID, ActionMetaID, ActionID, Value FROM ActionMetaData WHERE (ID = @ID)</CommandText>
                    <Parameters>
                      <Parameter AllowDbNull="true" AutogeneratedName="ActionMetaID" ColumnName="ActionMetaID" DataSourceName="pxp_crawler.dbo.ActionMetaData" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@ActionMetaID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="ActionMetaID" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="ActionID" ColumnName="ActionID" DataSourceName="pxp_crawler.dbo.ActionMetaData" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@ActionID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="ActionID" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="true" AutogeneratedName="Value" ColumnName="Value" DataSourceName="pxp_crawler.dbo.ActionMetaData" DataTypeServer="text" DbType="AnsiString" Direction="Input" ParameterName="@Value" Precision="0" ProviderType="Text" Scale="0" Size="2147483647" SourceColumn="Value" SourceColumnNullMapping="false" SourceVersion="Current" />
                      <Parameter AllowDbNull="false" AutogeneratedName="Original_ID" ColumnName="ID" DataSourceName="pxp_crawler.dbo.ActionMetaData" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@Original_ID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Original" />
                      <Parameter AllowDbNull="false" AutogeneratedName="ID" ColumnName="ID" DataSourceName="pxp_crawler.dbo.ActionMetaData" DataTypeServer="int" DbType="Int32" Direction="Input" ParameterName="@ID" Precision="0" ProviderType="Int" Scale="0" Size="4" SourceColumn="ID" SourceColumnNullMapping="false" SourceVersion="Original" />
                    </Parameters>
                  </DbCommand>
                </UpdateCommand>
              </DbSource>
            </MainSource>
            <Mappings>
              <Mapping SourceColumn="ID" DataSetColumn="ID" />
              <Mapping SourceColumn="ActionMetaID" DataSetColumn="ActionMetaID" />
              <Mapping SourceColumn="ActionID" DataSetColumn="ActionID" />
              <Mapping SourceColumn="Value" DataSetColumn="Value" />
            </Mappings>
            <Sources />
          </TableAdapter>
        </Tables>
        <Sources />
      </DataSource>
    </xs:appinfo>
  </xs:annotation>
  <xs:element name="ActionsDataSet" msdata:IsDataSet="true" msdata:UseCurrentLocale="true" msprop:EnableTableAdapterManager="true" msprop:Generator_DataSetName="ActionsDataSet" msprop:Generator_UserDSName="ActionsDataSet">
    <xs:complexType>
      <xs:choice minOccurs="0" maxOccurs="unbounded">
        <xs:element name="Actions" msprop:Generator_TableClassName="ActionsDataTable" msprop:Generator_TableVarName="tableActions" msprop:Generator_TablePropName="Actions" msprop:Generator_RowDeletingName="ActionsRowDeleting" msprop:Generator_RowChangingName="ActionsRowChanging" msprop:Generator_RowEvHandlerName="ActionsRowChangeEventHandler" msprop:Generator_RowDeletedName="ActionsRowDeleted" msprop:Generator_UserTableName="Actions" msprop:Generator_RowChangedName="ActionsRowChanged" msprop:Generator_RowEvArgName="ActionsRowChangeEvent" msprop:Generator_RowClassName="ActionsRow">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="ID" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnID" msprop:Generator_ColumnPropNameInRow="ID" msprop:Generator_ColumnPropNameInTable="IDColumn" msprop:Generator_UserColumnName="ID" type="xs:int" />
              <xs:element name="Name" msprop:Generator_ColumnVarNameInTable="columnName" msprop:Generator_ColumnPropNameInRow="Name" msprop:Generator_ColumnPropNameInTable="NameColumn" msprop:Generator_UserColumnName="Name" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="State" msprop:Generator_ColumnVarNameInTable="columnState" msprop:Generator_ColumnPropNameInRow="State" msprop:Generator_ColumnPropNameInTable="StateColumn" msprop:Generator_UserColumnName="State" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="Ind" msprop:Generator_ColumnVarNameInTable="columnInd" msprop:Generator_ColumnPropNameInRow="Ind" msprop:Generator_ColumnPropNameInTable="IndColumn" msprop:Generator_UserColumnName="Ind" type="xs:int" minOccurs="0" />
              <xs:element name="Type" msprop:Generator_ColumnVarNameInTable="columnType" msprop:Generator_ColumnPropNameInRow="Type" msprop:Generator_ColumnPropNameInTable="TypeColumn" msprop:Generator_UserColumnName="Type" type="xs:int" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="ActionMeta" msprop:Generator_TableClassName="ActionMetaDataTable" msprop:Generator_TableVarName="tableActionMeta" msprop:Generator_RowChangedName="ActionMetaRowChanged" msprop:Generator_TablePropName="ActionMeta" msprop:Generator_RowDeletingName="ActionMetaRowDeleting" msprop:Generator_RowChangingName="ActionMetaRowChanging" msprop:Generator_RowEvHandlerName="ActionMetaRowChangeEventHandler" msprop:Generator_RowDeletedName="ActionMetaRowDeleted" msprop:Generator_RowClassName="ActionMetaRow" msprop:Generator_UserTableName="ActionMeta" msprop:Generator_RowEvArgName="ActionMetaRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="ID" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnID" msprop:Generator_ColumnPropNameInRow="ID" msprop:Generator_ColumnPropNameInTable="IDColumn" msprop:Generator_UserColumnName="ID" type="xs:int" />
              <xs:element name="Name" msprop:Generator_ColumnVarNameInTable="columnName" msprop:Generator_ColumnPropNameInRow="Name" msprop:Generator_ColumnPropNameInTable="NameColumn" msprop:Generator_UserColumnName="Name" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="50" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
              <xs:element name="ActionType" msprop:Generator_ColumnVarNameInTable="columnActionType" msprop:Generator_ColumnPropNameInRow="ActionType" msprop:Generator_ColumnPropNameInTable="ActionTypeColumn" msprop:Generator_UserColumnName="ActionType" type="xs:int" minOccurs="0" />
            </xs:sequence>
          </xs:complexType>
        </xs:element>
        <xs:element name="ActionMetaData" msprop:Generator_TableClassName="ActionMetaDataDataTable" msprop:Generator_TableVarName="tableActionMetaData" msprop:Generator_RowChangedName="ActionMetaDataRowChanged" msprop:Generator_TablePropName="ActionMetaData" msprop:Generator_RowDeletingName="ActionMetaDataRowDeleting" msprop:Generator_RowChangingName="ActionMetaDataRowChanging" msprop:Generator_RowEvHandlerName="ActionMetaDataRowChangeEventHandler" msprop:Generator_RowDeletedName="ActionMetaDataRowDeleted" msprop:Generator_RowClassName="ActionMetaDataRow" msprop:Generator_UserTableName="ActionMetaData" msprop:Generator_RowEvArgName="ActionMetaDataRowChangeEvent">
          <xs:complexType>
            <xs:sequence>
              <xs:element name="ID" msdata:ReadOnly="true" msdata:AutoIncrement="true" msdata:AutoIncrementSeed="-1" msdata:AutoIncrementStep="-1" msprop:Generator_ColumnVarNameInTable="columnID" msprop:Generator_ColumnPropNameInRow="ID" msprop:Generator_ColumnPropNameInTable="IDColumn" msprop:Generator_UserColumnName="ID" type="xs:int" />
              <xs:element name="ActionMetaID" msprop:Generator_ColumnVarNameInTable="columnActionMetaID" msprop:Generator_ColumnPropNameInRow="ActionMetaID" msprop:Generator_ColumnPropNameInTable="ActionMetaIDColumn" msprop:Generator_UserColumnName="ActionMetaID" type="xs:int" minOccurs="0" />
              <xs:element name="ActionID" msprop:Generator_ColumnVarNameInTable="columnActionID" msprop:Generator_ColumnPropNameInRow="ActionID" msprop:Generator_ColumnPropNameInTable="ActionIDColumn" msprop:Generator_UserColumnName="ActionID" type="xs:int" minOccurs="0" />
              <xs:element name="Value" msprop:Generator_ColumnVarNameInTable="columnValue" msprop:Generator_ColumnPropNameInRow="Value" msprop:Generator_ColumnPropNameInTable="ValueColumn" msprop:Generator_UserColumnName="Value" minOccurs="0">
                <xs:simpleType>
                  <xs:restriction base="xs:string">
                    <xs:maxLength value="2147483647" />
                  </xs:restriction>
                </xs:simpleType>
              </xs:element>
            </xs:sequence>
          </xs:complexType>
        </xs:element>
      </xs:choice>
    </xs:complexType>
    <xs:unique name="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:Actions" />
      <xs:field xpath="mstns:ID" />
    </xs:unique>
    <xs:unique name="ActionMeta_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:ActionMeta" />
      <xs:field xpath="mstns:ID" />
    </xs:unique>
    <xs:unique name="ActionMetaData_Constraint1" msdata:ConstraintName="Constraint1" msdata:PrimaryKey="true">
      <xs:selector xpath=".//mstns:ActionMetaData" />
      <xs:field xpath="mstns:ID" />
    </xs:unique>
  </xs:element>
  <xs:annotation>
    <xs:appinfo>
      <msdata:Relationship name="FK_ActionMetaData_ActionMeta" msdata:parent="ActionMeta" msdata:child="ActionMetaData" msdata:parentkey="ID" msdata:childkey="ActionMetaID" msprop:Generator_UserChildTable="ActionMetaData" msprop:Generator_ChildPropName="GetActionMetaDataRows" msprop:Generator_UserRelationName="FK_ActionMetaData_ActionMeta" msprop:Generator_RelationVarName="relationFK_ActionMetaData_ActionMeta" msprop:Generator_UserParentTable="ActionMeta" msprop:Generator_ParentPropName="ActionMetaRow" />
      <msdata:Relationship name="FK_ActionMetaData_Actions" msdata:parent="Actions" msdata:child="ActionMetaData" msdata:parentkey="ID" msdata:childkey="ActionID" msprop:Generator_UserChildTable="ActionMetaData" msprop:Generator_ChildPropName="GetActionMetaDataRows" msprop:Generator_UserRelationName="FK_ActionMetaData_Actions" msprop:Generator_RelationVarName="relationFK_ActionMetaData_Actions" msprop:Generator_UserParentTable="Actions" msprop:Generator_ParentPropName="ActionsRow" />
    </xs:appinfo>
  </xs:annotation>
</xs:schema>